# Matrix Gateway
WIP project

Project that expose a simple API to make use of Matrix API. It acts as a Matrix client (like Element for example)

**Known limitations**:

- Supports only a limited subset of Matrix API
- Does not support E2E encryption

Project written in Rust.

## Setup dev environment
```
mkdir -p storage/postgres storage/synapse storage/minio
docker compose up
```

URLs:
* Element: http://localhost:8080/
* Synapse: http://localhost:8448/
* OpenID configuration: http://127.0.0.1:9001/dex/.well-known/openid-configuration
* Minio console: http://localhost:9002/

Auto-created Matrix accounts:

* `admin1` : `admin1`
* `user1` : `user1`

Minio administration credentials: `minioadmin` : `minioadmin`